Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513409 - [RFE] The default log driver for docker should be json-file
Summary: [RFE] The default log driver for docker should be json-file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.9.0
Assignee: Scott Dodson
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 11:15 UTC by Anping Li
Modified: 2018-03-20 19:33 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The installer no longer sets a default log driver resulting in docker's default log driver of json-file being utilized for clean installs. Upgraded environments will maintain their current configuration.
Clone Of:
Environment:
Last Closed: 2018-03-20 19:33:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1554244 None CLOSED [DOCS] Document how to limit logs fluentd is processing 2019-02-26 10:52:33 UTC

Internal Links: 1554244 1554257

Comment 4 Anping Li 2018-01-22 01:53:17 UTC
The bug have been fixed in openshift-ansible-3.9.0-0.22.0

Comment 8 Michael Burke 2018-02-23 23:06:33 UTC
Above docs PR is to change the default driver to json-file, not the throttling issue.

Comment 11 Michael Burke 2018-02-27 17:43:25 UTC
@daniel
@rich
Can we capture this discussion in a separate BZ or in a PR?

Comment 12 Rich Megginson 2018-02-27 17:51:18 UTC
(In reply to Michael Burke from comment #11)
> @daniel
> @rich
> Can we capture this discussion in a separate BZ or in a PR?

Sure.  Feel free to file BZs/RFEs for the features you would like to see in the product.

Comment 13 Michael Burke 2018-02-27 18:22:33 UTC
daniel -- I see in comment 9 that you plan to do a docs issue. Have you done this yet? Don't want to duplicate your effort and you are likely closer to the issue that needs documenting than I.

Comment 14 daniel 2018-03-12 09:04:07 UTC
filed bz 1554244 -[DOC] Document how to limit logs fluentd is processing
and   bz 1554257 -[RFE] possibility to rate limit logs pod/container is able to write


Note You need to log in before you can comment on or make changes to this bug.